Package wx :: Module richtext :: Class RichTextPrinting

[frames | no frames]

## Type RichTextPrinting

    object --+
             |
        Object --+
                 |
                RichTextPrinting

Proxy of C++ RichTextPrinting class

Method Summary
RichTextPrinting | `__init__(self, name, parentWindow)`
| `__del__(self)`
String | `GetFooterText(self, page, location)`
wxRichTextHeaderFooterData | `GetHeaderFooterData(self)`
String | `GetHeaderText(self, page, location)`
PageSetupDialogData | `GetPageSetupData(self)`
Window | `GetParentWindow(self)`
Rect | `GetPreviewRect(self)`
PrintData | `GetPrintData(self)`
RichTextBuffer | `GetRichTextBufferPreview(self)`
RichTextBuffer | `GetRichTextBufferPrinting(self)`
String | `GetTitle(self)`
| `PageSetup(self)`
bool | `PreviewBuffer(self, buffer)`
bool | `PreviewFile(self, richTextFile)`
bool | `PrintBuffer(self, buffer)`
bool | `PrintFile(self, richTextFile)`
| `SetFooterText(self, text, page, location)`
| `SetHeaderFooterData(self, data)`
| `SetHeaderFooterFont(self, font)`
| `SetHeaderFooterTextColour(self, font)`
| `SetHeaderText(self, text, page, location)`
| `SetPageSetupData(self, pageSetupData)`
| `SetParentWindow(self, parent)`
| `SetPreviewRect(self, rect)`
| `SetPrintData(self, printData)`
| `SetRichTextBufferPreview(self, buf)`
| `SetRichTextBufferPrinting(self, buf)`
| `SetShowOnFirstPage(self, show)`
| `SetTitle(self, title)`

Property Summary
| `thisown`: The membership flag

Property Details

### thisown

The membership flag

  Get Method:
    unknown-46483888(...)
  Set Method:
    unknown-46484008(...)

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:21 2009 | http://epydoc.sf.net